package com.fs.sms.service;

import com.fs.common.core.domain.R;
import com.fs.sms.domain.SendSmsReturn;


public interface SmsService
{
    R sendTSms(String mobile, String json);

    SendSmsReturn sendSms(String account, String password, String content, String phone);

    R querySms(String account, String password,String starttime,String endtime,String tjtype);

    R uploadTemplate(String account, String password, String content,String sign, String remark);

    public R showTemplate(String account, String password, String templateIds);

    public R deleteTemplate(String account, String password, String templateIds);
}
